<?php
#G
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//define("NBCOLS",8);      //pour les classes et les compétences
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/eleve.inc.php");
opensession("Admin",false);
$statut=$sess_statut;
$PHP_SELF=basename($_SERVER['PHP_SELF']);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>Activer / Désactiver</TITLE>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">

<script language="javascript">
 function clicglobal(formulaire, nomchkbx, ouinon)
    //formulaire et nomchkbx sont des chaînes spécifiant les "name" des objets
    //ouinon vaut true ou false
    // toutes les cases à cocher spécifiées sont cochées (ou décochées si ouinon==false)
    {

     var frm=eval('document.'+formulaire);

     //on ne peut pas invoquer les checkboxes par leur nom du fait des
     //crochets nécessaires à PHP, d'où le test bestial dans la boucle ci-dessous
     for (i=0;i<frm.elements.length; i++) {
         var nom=frm.elements[i].name.substr(0,3);
         if ((nom==nomchkbx)&&(!frm.elements[i].disabled)) {
                 frm.elements[i].checked=ouinon;
            }
       }       //fin for

 }

 function radioglobal(formulaire, nomradio, ouinonzut)
     //ouinonzut vaut -1 ou 0 ou 1 pour les boutons radio resp. 0, 1 et 2
     {
     var frm=eval('document.'+formulaire);
     for (i=0;i<frm.elements.length; i++) {
         var nom=frm.elements[i].name.substr(0,3);
         var k=frm.elements[i];
          if (nom==nomradio) {
             if (k.value==ouinonzut) {
                 k.checked=true;
                }
             }
         }  //fin for

}



</script>
</HEAD>

<BODY class="arialadmin">
<?php
function adapte($onz) {
    if ($onz) return $onz; else return '0';
    }

function comboclasses($etab_id,$change) {
    global $conn;
    //$change à 1 permet de valider dans un formulaire
    //$dis=disabled pour désactiver
   if ($change==1) {
       $chan="onchange=\"submit();\" ";
        }
   print "<select name=\"cclas\" size=\"1\"  $chan>\n";

   //Première ligne vide
   $selected=($id_selected==0) ? "selected" : "";
   print "<option $selected value='0'>&nbsp;$default</option>";
   $resultclasses=query ("SELECT * FROM classes WHERE etab_id=$etab_id ORDER BY divgro, divcod;");
   while ($rowrel=mysql_fetch_array($resultclasses)) {
       $classe_id=$rowrel["classe_id"];
       $divcod=$rowrel["divcod"];
       //if ($selected) echo
       print "<option value='$classe_id'>";
       print $divcod;
       print "</option>\n";
       }
   mysql_free_result($resultclasses);
   print "</select>";
}

function compteactif($qui,$id) {
 //retourne la valeur de 'actif' dans compte (-1 0 ou 1)
 $champ=$qui."id";
 $res=query("SELECT actif FROM comptes WHERE $champ=$id;");
 list($act)=mysql_fetch_array($res);
 return $act;
}


//****************** PROGRAMME PRINCIPAL

if (!isset($par)) exit;
if (!isset($flagtemoin)) { //Premier passage
 $conn  = mysql_connect($host, $user, $mdp);
 mysql_select_db($db, $conn) or die ("Impossible d'accéder à $db");;

 switch ($par) {
  case "Par groupe" :
  
//===================================
 //  PAR CLASSE
 //===================================     
  case "Par classe" :
   if ($par=="Par classe") $dg='D'; else $dg='G';
   $sql="select * from classes ".
             "WHERE  etab_id=$etab_id AND divgro='$dg' ORDER by divcod";
   $result=mysql_query ($sql,$conn) or die ("Echec de la requête $sql");
   //Préparation tableau pour classes
   print "<form name='fclasses' method='POST' action=\"$PHP_SELF\" >";
   print "<input type='hidden' name='flagtemoin' value='ok'>";
   print "<input type='hidden' name='par' value='$par'>";
   print "<p class='avis5'><span class='attention'>Attention : Si sur une ligne, aucun des 3 boutons radio n'est coché, la classe n'est pas homogène.<br />";
   print "Une action à ce niveau va mettre tous les élèves dans le même état et vous perdrez les cas particuliers !<br/></span><br/> \"Mdp à changer\" signifie qu'à la prochaine ouverture de session le changement de mot de passe sera exigé.<br /> ";
   print "Pour des actions \"fines\" utilisez le mode \"par élève\"<br /></p>";

    //Activation globale
   print "<br/><div align=\"center\"><table border=\"1\" width='100%'>";
   print "<tr class=\"rubrique\"><td width=\"50%\"><table width=\"95%\" border=\"0\" align=\"center\"><tr class=\"rubrique\"><td width=\"30%\"></td><td align=\"center\" width=\"40%\">Etat des classes</td><td width=\"30%\"></td></tr>";
   print "<tr><td align=\"center\"><a href=\"#\" title=\"Désactiver toutes les classes\"onclick=\"radioglobal('fclasses','BR_', '-1');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td>";
   print "<td align=\"center\"><a href=\"#\" title=\"Activer toutes les classes en imposant un changement de mot de passe\" onclick=\"radioglobal('fclasses','BR_', '0');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td>";
   print "<td align=\"center\"><a href=\"#\" title=\"Activer toutes les classes\"  onclick=\"radioglobal('fclasses','BR_', '1');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td></tr></table>";
   print "</td><td width=\"25%\">Nom des classes<br />&nbsp;";
   print "</td><td width=\"25%\">Comptes activés<br />&nbsp;</td></tr>";
   $num=0;
   while($row=mysql_fetch_array($result)) {
      $divcod=$row['divcod'];
      $classe_id=$row['classe_id'];
      $nbelev=getnbeleves($etab_id,$classe_id);
      $sum=0;  //Initialiser avant calcul dessous qui retournera la somme des champs "actif"
      $nbactifs=getnbelevesactifs($etab_id,$classe_id);
      //$sum est affecté
      print "<tr align=\"center\" ><td>";

      //Ecriture radios : 4 cas de figure
	  //Classe inactive
	  if ($nbactifs==0) {$old_check=-1; $check0="checked"; $check1=""; $check2=""; $dis="";}
	  else 
	  	//Classe active
	  	if (($nbactifs==$nbelev) AND ($sum==$nbelev)) {$old_check=1; $check1=""; $check2="checked"; $dis="";}
	  	else 
		  //Classe mdp à changer
	  	  if (($nbactifs==$nbelev) AND ($sum==0)) {$old_check=0; $check1="checked"; $check2=""; $dis="";}
	  	  //Entre deux eaux
		  else {$old_check=2; $check1=""; $check2=""; $dis="";}
    	
			
          
      print "<span class='arial_petit'>Inactive<input type='radio' name=\"BR_".$num."\" value=\"-1\" $check0  $dis>\n";
      print "&nbsp;&nbsp;&nbsp;Mdp à changer<input type='radio' name=\"BR_".$num."\" value=\"0\" $check1 $dis>\n";
      print "&nbsp;&nbsp;&nbsp;Active<input type='radio' name=\"BR_".$num."\" value=\"1\" $check2 $dis>\n";
      print "</span>";
      //Passage valeurs anciennes
      print "<input type='hidden' name=\"classe_$num\" value='$classe_id' >\n";
      print "<input type='hidden' name=\"etat_$num\" value='$old_check' >\n";
      print "</td><td>";
      print "$divcod </td><td>$nbactifs sur $nbelev</td></tr>\n";
      $num++;
      }
   print "</table></div>";
   print "<input type='hidden' name='nbclasses' value='$num'>";
   print "<p align='center'><input type='submit' class='coul' name='Valider' value='Valider'>&nbsp;";
   print "<input type='reset' class='coul' name='Initialiser' value='Rétablir'></p>";
   print "</form>";
   break;
   
//===================================
 //  PAR ELEVE
 //===================================      
  case "Par élève" :
   //Choix de la classe
   if (!isset($cclas)) {
    print "<form name='fclasses' method='POST' action=\"$PHP_SELF\" >";
    print "<input type='hidden' name='par' value='$par'>";
    print "<br /><br /><p class='avis5' >Choisissez la classe ou le groupe dans lequel vous désirez Activer/Désactiver des comptes.</p>";
    print "<p class='libelle_prof' align='center'>";
    comboclasses($etab_id,1);
    print "&nbsp;&nbsp;Votre choix ?</p>";
    print "</form>";
   } else {
    //Ici la classe est choisie, son id est $cclas
    //print "classe_id : ".$cclas;
    //Tableau des élèves
    print "<form name='feleves' method='POST' action=\"$PHP_SELF\" >";
    print "<input type='hidden' name='flagtemoin' value='ok'>";
    print "<input type='hidden' name='par' value='$par'>";
    $clas=getclasse($cclas);
    print "<input type='hidden' name='clas' value='$clas'>";
    print "<p class='avis5'>Activez ou désactivez les comptes individuellement. ";
    print "<br/>\"Mdp à changer\" signifie qu'à la prochaine ouverture de session le changement de mot de passe sera exigé.</p><br/>";
    $sql="select eleves.* from eleves, lien_eleves_classes  ".
             "WHERE  etab_id=$etab_id and eleves.annee='$sess_ascol' 
			 AND eleves.eleve_id=lien_eleves_classes.eleve_id
             AND lien_eleves_classes.classe_id=$cclas ORDER by nom, prenom;";
    $result=mysql_query ($sql,$conn) or die ("Echec de la requête $sql");

    //Activations globales ?
    print "<div align=\"center\"><table border=\"1\" width=\"100%\">";
   print "<tr class=\"rubrique\"><td width=\"50%\"><table width=\"95%\" border=\"0\" align=\"center\"><tr class=\"rubrique\"><td width=\"30%\"></td><td align=\"center\" width=\"40%\">Etat des comptes</td><td width=\"30%\"></td></tr>";
   print "<tr><td align=\"center\"><a href=\"#\" title=\"Désactiver tous les élèves\"onclick=\"radioglobal('feleves','BR_', '-1');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td>";
   print "<td align=\"center\"><a href=\"#\" title=\"Activer tous les élèves en imposant un changement de mot de passe\" onclick=\"radioglobal('feleves','BR_', '0');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td>";
   print "<td align=\"center\"><a href=\"#\" title=\"Activer tous les élèves\"  onclick=\"radioglobal('feleves','BR_', '1');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td></tr></table>";
   print "</td><td width=\"25%\">Nom<br />";
   print "</td><td width=\"25%\">Prénom<br /></td></tr>";
    $num=0;
    while($row=mysql_fetch_array($result)) {
      $nom=$row["nom"];
      $prenom=$row["prenom"];
      $id=$row["eleve_id"];
      print "<tr align=\"center\" ><td>";
      $old_check=compteactif('eleve_',$id);
      $check0=($old_check==-1)? "checked":"";
      $check1=($old_check==0)? "checked":"";
      $check2=($old_check==1)? "checked":"";
      $dis="";
      print "<span class='arial_petit'>Inactif<input type='radio' name=\"BR_$num\" value=\"-1\" $check0  $dis>\n";
      print "&nbsp;&nbsp;&nbsp;Mdp à changer<input type='radio' name=\"BR_$num\" value=\"0\" $check1 $dis>\n";
      print "&nbsp;&nbsp;&nbsp;Actif<input type='radio' name=\"BR_$num\" value=\"1\" $check2 $dis>\n";
      print "</span>";

      print "<input type='hidden' name=\"elev_$num\" value='$id' >\n";
      print "<input type='hidden' name=\"etat_$num\" value='$old_check' >\n";
      // version jak print "</td><td >$nom</td><td >$prenom</td></tr>\n";
      print "</td><td align =\"left\">&nbsp;&nbsp;$nom</td><td align =\"left\">&nbsp;&nbsp;$prenom</td></tr>\n";
      $num++;
      }
    print "</table></div>";
    print "<input type='hidden' name='nbeleves' value='$num'>";
    print "<p align='center'><input type='submit' class='coul' name='Valider' value='Valider'>&nbsp;";
    print "<input type='reset' class='coul' name='Initialiser' value='Rétablir'></p>";
    print "</form>";
   }
   break;
//===================================
 //  PAR PROFESSEUR
 //===================================   
  case "Par professeur" :
   //Tableau des profs
   print "<form name='fprofs' method='POST' action=\"$PHP_SELF\" >";
   print "<input type='hidden' name='flagtemoin' value='ok'>";
   print "<input type='hidden' name='par' value='$par'>";
   print "<p class='avis5'>Activez ou désactivez les comptes individuellement. ";
   print "<br/> \"Mdp à changer\" signifie qu'à la prochaine ouverture de session le changement de mot de passe sera exigé.</p><br />";
   $sql="select * from profs  ".
            "WHERE  etab_id=$etab_id AND annee='$sess_ascol' ORDER by nom, prenom;";
   $result=mysql_query ($sql,$conn) or die ("Echec de la requête $sql");

   //Activations globales ?
   print "<div align=\"center\"><table border=\"1\" width=\"100%\">";
   print "<tr class=\"rubrique\"><td width=\"50%\"><table width=\"95%\" border=\"0\" align=\"center\"><tr class=\"rubrique\"><td width=\"28%\"></td><td align=\"center\" width=\"44%\">Etat des comptes</td><td width=\"28%\"></td></tr>";
   print "<tr><td align=\"center\"><a href=\"#\" title=\"Désactiver tous les professeurs\"onclick=\"radioglobal('fprofs','BR_', '-1');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td>";
   print "<td align=\"center\"><a href=\"#\" title=\"Activer tous les professeurs en imposant un changement de mot de passe\" onclick=\"radioglobal('fprofs','BR_', '0');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td>";
   print "<td align=\"center\"><a href=\"#\" title=\"Activer tous les professeurs\"  onclick=\"radioglobal('fprofs','BR_', '1');\"><img src=\"../themes/".$etab_theme."/flechbas.gif\" border=\"0\"></a></td></tr></table>";
   print "</td><td width=\"25%\">Nom<br />";
   print "</td><td width=\"25%\">Prénom<br /></td></tr>";

   $num=0;
   while($row=mysql_fetch_array($result)) {
     $nom=$row["nom"];
     $prenom=$row["prenom"];
     $id=$row["prof_id"];
     print "<tr align=\"center\" ><td>";
     $old_check=compteactif('prof_',$id);
     $check0=($old_check==-1)? "checked":"";
     $check1=($old_check==0)? "checked":"";
     $check2=($old_check==1)? "checked":"";
     $dis="";
     print "<span class='arail_petit'>Inactif<input type='radio' name=\"BR_$num\" value=\"-1\" $check0  $dis>\n";
     print "&nbsp;&nbsp;&nbsp;Mdp à changer<input type='radio' name=\"BR_$num\" value=\"0\" $check1 $dis>\n";
     print "&nbsp;&nbsp;&nbsp;Actif<input type='radio' name=\"BR_$num\" value=\"1\" $check2 $dis>\n";
     print "</span>";

     print "<input type='hidden' name=\"prof_$num\" value='$id' >\n";
     print "<input type='hidden' name=\"etat_$num\" value='$old_check' >\n";
     print "</td ><td align='left'>&nbsp;&nbsp;$nom</td><td align='left'>&nbsp;&nbsp;$prenom</td></tr>\n";
     $num++;
     }
   print "</table></div>";
   print "<input type='hidden' name='nbprofs' value='$num'>";
   print "<p align='center'><input type='submit' class='coul' name='Valider' value='Valider'>&nbsp;";
   print "<input type='reset' class='coul' name='Initialiser' value='Rétablir'></p>";
   print "</form>";
   break;
   
 //===================================
 //  TOUT LE MONDE
 //===================================   
 case "Tout le monde" : //sauf gestion et admins
   print "<form name='ftous' method='POST' action=\"$PHP_SELF\" >";
   print "<input type='hidden' name='flagtemoin' value='ok'>";
   print "<input type='hidden' name='par' value='$par'>";
   print "<p class='avis5'><span class='warning'>ATTENTION, </span> soyez prudent, vous pouvez ici activer ou désactiver d'un seul coup tous les comptes élèves et professeurs, quel que soit leur état initial.<br /></p>";
   print "<p align='center'><input type='submit' class='coul' name='btn_non' value='Désactiver tout le monde'></p>";
   print "<p align='center'><input type='submit' class='coul' name='btn_zut' value='Activer tout le monde (changement de mdp imposé)'></p>";
   print "<p align='center'><input type='submit' class='coul' name='btn_oui' value='Activer tout le monde'></p>";

   print "</form>";
   break;
 //===================================
 //  PROFS DONT MOT-DE-PASSE=DNAISS
 //===================================
  case "Comptes profs" : //Profs mous
    print "<form name='fpmous' method='POST' action=\"$PHP_SELF\" >";
    print "<input type='hidden' name='flagtemoin' value='ok'>";
    print "<input type='hidden' name='par' value='$par'>";    
    print "<p class='avis5'>Vous trouverez ci-dessous la liste des professeurs qui ont toujours leur <b>date de naissance comme mot de passe</b> et sont marqués <b>actifs</b></p>";
    print "<p class='avis5'>Vous pouvez les désactiver pour éviter qu'ils soient la cible d'utilisateurs indélicats !</p>";
    print "<p align='center'><input type='submit' class='coul' name='btn_oui' value='Désactiver ces comptes'></p>";
    $sqlpmous="SELECT profs.prof_id, profs.civil, profs.nom, profs.prenom  FROM profs, comptes WHERE profs.prof_id=comptes.prof_id AND comptes.mdp=MD5(profs.dnaiss) AND profs.etab_id=$etab_id AND profs.annee='".$sess_ascol."' AND comptes.actif>-1";
   	$respmous=query($sqlpmous);
   	$combien=0;
   	$listepmous="";
	while (list($prid, $civ, $nm, $pn)=mysql_fetch_array($respmous)) {
   		$combien++;
   		$listepmous.=$prid."#";
		print "<br />$civ $nm $pn";
	}
	if ($combien) print "<p class='Attention'>$combien professeurs</p>";
	else print "<p class='Attention'>Pas de professeur actif avec mot de passe égal à sa date de naissance</p>";
	//print $listepmous;
   	print "<input type='hidden' name='listepmous' value=$listepmous>";
    print "</form>";
    break;
 //===================================
 //  ELEVES DONT MOT-DE-PASSE=DNAISS
 //===================================    
  case "Comptes élèves" : //Eleves mous
    print "<form name='fpmous' method='POST' action=\"$PHP_SELF\" >";
    print "<input type='hidden' name='flagtemoin' value='ok'>";
    print "<input type='hidden' name='par' value='$par'>";    
    print "<p class='avis5'>Vous trouverez ci-dessous la liste des professeurs qui ont toujours leur <b>date de naissance comme mot de passe</b> et sont marqués <b>actifs</b></p>";
    print "<p class='avis5'>Vous pouvez les désactiver pour éviter qu'ils soient la cible d'utilisateurs indélicats !</p>";
    print "<p align='center'><input type='submit' class='coul' name='btn_oui' value='Désactiver ces comptes'></p>";
    $sqlemous="SELECT eleves.eleve_id, eleves.civil, eleves.nom, eleves.prenom  FROM eleves, comptes WHERE eleves.eleve_id=comptes.eleve_id AND comptes.mdp=MD5(eleves.dnaiss) AND eleves.etab_id=$etab_id AND eleves.annee='".$sess_ascol."' AND comptes.actif>-1 ORDER BY eleves.classe_id";
   	$resemous=query($sqlemous);
   	$combien=0;
   	$listeemous="";
	while (list($eleveid, $civ, $nm, $pn)=mysql_fetch_array($resemous)) {
   		$combien++;
   		$listeemous.=$eleveid."#";
		print "<br />$civ $nm $pn";
	}    
	if ($combien) print "<p class='Attention'>$combien élève".pluriel($combien)."</p>";
	else print "<p class='Attention'>Pas d'élève actif avec mot de passe égal à sa date de naissance</p>";
	//print $listeemous;
   	print "<input type='hidden' name='listeemous' value=$listeemous>";
    print "</form>";
    break;
  
   
} //Fin du switch


} else { //Traitement
function activ_desactiv($etab_id,$quidam,$ouinonzut, $type) {
  //Active ou désactive (ouinonzut = -1 0 ou 1) TOUS les élèves de la classe $quidam
  //Si $type='Eleve', ça ne fait que l'élève $quidam
  //Si $type='Prof' ça ne fait que le prof  $quidam
  global $sess_ascol;
  switch ($type) {
  	
	//====================================
	// Classe entière
	//====================================  	
   case 'Classe' :  
    switch ($ouinonzut) {
     case -1 : $m="<br />Classe désactivée : ";
      break;
     case 0 : $m="<br />Classe Activée (changement de mdp au prochain login)  : ";
      break;
     case 1 : $m="<br />Classe Activée : ";
      break;
     default :
       $m="<br />";
    }

    $m.=getclasse($quidam);
    //Pour une classe il faut passer par ch. élève !
    $sql1="SELECT eleves.eleve_id FROM eleves, lien_eleves_classes WHERE eleves.annee='$sess_ascol' 
		AND eleves.eleve_id=lien_eleves_classes.eleve_id
		AND lien_eleves_classes.classe_id=".seci($quidam);
    $res1=query($sql1);
    while (list($el)=mysql_fetch_array($res1)) {
      $sql="UPDATE comptes
        SET actif='".seci(adapte($ouinonzut))."' 
        WHERE comptes.eleve_id=$el;";
      $res=query($sql);
    }
    break;
	//====================================
	//Elève isolé
	//====================================
   case 'Eleve' : 
    switch ($ouinonzut) {
     case -1 : $m="<br />Compte élève désactivé : ";
      break;
     case 0 : $m="<br />Compte élève activé (changement de mdp au prochain login)  : ";
      break;
     case 1 : $m="<br />Compte élève activé : ";
      break;
    }
    $m.=geteleve($quidam, true);
    $req="  ";
    $sql="UPDATE comptes
        SET actif='".seci(adapte($ouinonzut))."' 
        WHERE comptes.eleve_id=".seci($quidam);
    $res=query($sql);
    break;

	//====================================
	//Prof isolé
	//====================================
   case 'Prof' : 
    switch ($ouinonzut) {
     case -1 : $m="<br />Compte prof désactivé : ";
      break;
     case 0 : $m="<br />Compte prof activé (changement de mdp au prochain login)  : ";
      break;
     case 1 : $m="<br />Compte prof activé : ";
      break;
    }

    $m.=getprof($quidam);
    $req="  ";
    $sql="UPDATE comptes
        SET actif='".seci(adapte($ouinonzut))."' 
        WHERE comptes.prof_id=".seci($quidam);
    $res=query($sql);
    break;
   case 'Tous' : //Tous les élèves et tous les profs
    $sql="UPDATE comptes
        SET actif='".seci(adapte($ouinonzut))."' 
        WHERE ((comptes.statut='Prof') or (comptes.statut='Eleve'))
        AND etab_id=$etab_id;";
    $des=($ouinonzut>-1) ? "" : "dés";
    $m="Tous les comptes élèves et profs sont ".$des."activés.";
    if ($ouinonzut==0) $m.="<br>(Avec changement de mot de passe à la prochaine connexion)";
    $res=query($sql);
    break;
  } //Fin switch

 return $m;
} //Fin fonction

print "Traitement : ";
print $par;
//print_r($_POST);
connecte($host,$user,$mdp,$db);
$mess="";
 switch ($par) {
  //====================================
  // CLASSE
  //====================================  	
  case "Par classe" :
    for ($i=0;$i<$nbclasses;$i++) {
      $br="BR_".$i;
      $etat="etat_".$i;
      $clas="classe_".$i;

      // $$br contient directement la valeur pour 'actif'
      if (($$etat!=2) AND ($$br!=$$etat)) $mess.=activ_desactiv($etab_id,$$clas,$$br,'Classe');
       }
     break;
  //====================================
  // ELEVE
  //====================================      
  case "Par élève" :
    //print_r($_POST);
    print " de la classe $clas";
    for ($i=0;$i<$nbeleves;$i++) {
      $br="BR_".$i;
      $etat="etat_".$i;
      $elev="elev_".$i;

      // $$br contient directement la valeur pour 'actif'
      if ($$br!=$$etat) $mess.=activ_desactiv($etab_id,$$elev,$$br,'Eleve');
        }
    break;
  //====================================
  // PROFESSEUR
  //====================================     
  case "Par professeur" :
    //print_r($_POST);
    for ($i=0;$i<$nbprofs;$i++) {
      $br="BR_".$i;
      $etat="etat_".$i;
      $prof="prof_".$i;

      // $$br contient directement la valeur pour 'actif'
      if ($$br!=$$etat) $mess.=activ_desactiv($etab_id,$$prof,$$br,'Prof');
        }
    break;
  //====================================
  // TOUT LE MONDE
  //====================================     
  case "Tout le monde" :
     //print_r($_POST);
     if (isset($btn_oui)) $mess=activ_desactiv($etab_id,0,1,'Tous');
      elseif (isset($btn_non)) $mess=activ_desactiv($etab_id,0,-1,'Tous');
       else $mess=activ_desactiv($etab_id,0,0,'Tous');
    break;
    
  //====================================
  // PROFS MOUS
  //====================================     
  case "Comptes profs"  :
  	$profsmous=explode("#",$listepmous);
  	foreach($profsmous as $lpm) {
  		//print "<br>$lpm";
		if ($lpm>0)$mess.=activ_desactiv($etab_id,$lpm,-1,'Prof');
	} 
    break;
    
  //====================================
  // ELEVES MOUS
  //====================================     
  case "Comptes élèves" :
    $elevesmous=explode("#",$listeemous);
  	foreach($elevesmous as $lem) {
  		//print "<br>$lem";
		if ($lem>0)$mess.=activ_desactiv($etab_id,$lem,-1,'Eleve');
	} 
    break;    
    
  } //Fin switch

  //Message terminal
  if ($mess=="") $mess="Rien n'a été modifié.";
  print "<br />".$mess;
}


?>

</BODY>
</HTML>